#ifndef __AIPLAY_EGL_CTX_H__
#define __AIPLAY_EGL_CTX_H__

typedef struct egl_ctx egl_ctx_t;

int egl_ctx_create(egl_ctx_t **pp_ctx, void *window_ctx);
void egl_ctx_release(egl_ctx_t **pp_ctx);
void egl_ctx_make_current(egl_ctx_t *ctx);
void egl_ctx_swap_buffers(egl_ctx_t *ctx);

#endif